const express = require("express");
const {
  createComment,
  getComments,
  updateComment,
  deleteComment,
} = require("../controllers/commentController");

const router = express.Router();

router.post("/", createComment); // Create a comment
router.get("/", getComments); // Get all comments
router.put("/:id", updateComment); // Update a comment
router.delete("/:id", deleteComment); // Delete a comment

module.exports = router;
